import { Controller, Get, Query, Req } from '@nestjs/common'
import { PaperService } from './paper.service'

@Controller('ref')
export class RefController {
    constructor(private readonly paperService: PaperService) {}

    @Get('/search')
    async searchReferences(@Query('title') title, @Req() req) {
        return await this.paperService.searchReferences(req.user.id, title)
    }
}
